
QGIS Application - Bug report #17783

Focus always returns to main window after using the new font widget / dialog

2018-01-04 09:24 AM - Tim Sutton

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: MacOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25679

Description

On macOS whenever I use the new font dialog (e.g. in composer), the focus returns to the main QGIS window instead of the composer

window. This is really going to confuse people especially new users. I don't know if this is a Mac only issue or also happens on other

platforms.

See https://github.com/qgis/QGIS/pull/5966#issuecomment-355085980 for a small animated gif illustrating the issue.

Associated revisions

Revision 5ab5d095 - 2018-01-29 06:36 AM - Nyall Dawson

Attempt to fix #17783, window not activated on OSX after font dialog

displayed

History

#1 - 2018-01-29 06:35 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|5ab5d095e4d2849ce3eaae1e762aaa480e3d4307.

#2 - 2018-02-22 10:58 AM - Giovanni Manghi

- Resolution set to fixed/implemented
